- name: Install subgen
  shell: /usr/local/go/bin/go install github.com/pry0cc/subgen@latest

- name: Create Symlink for subgen
  become: yes
  ansible.builtin.file:
    src: "{{ lookup('env', 'HOME') }}/go/bin/subgen"
    dest: /usr/local/bin/subgen
    state: link
